package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.common.file.composite.DownloadDecBidFileComposite;

/**
 * @Description: 下载明文标书
 * @author guoyr
 */
public class LoadExpressBidFileAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		DownloadDecBidFileComposite composite = new DownloadDecBidFileComposite(parent, this.getTenderProject(), false, SWT.NONE);
		listener.loadComposite(this, composite);
	}

}
